org.apache.hadoop.registry.server.dns

## Interface ServiceRecordProcessor

- All Known Implementing Classes:
    ApplicationServiceRecordProcessor, BaseServiceRecordProcessor, ContainerServiceRecordProcessor

      public interface ServiceRecordProcessor

  Manage the processing of service records in order to create DNS records.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getRecordTypes()` Return the DNS record types valid for this processor.
    `void` | `initTypeToInfoMapping(ServiceRecord serviceRecord)` Initialize the mapping between DNS record type and record information for the given service record.
    `void` | `manageDNSRecords(org.apache.hadoop.registry.server.dns.RegistryDNS.RegistryCommand command)` Manage the creation and registration of DNS records generated by parsing a service record.

- - ### Method Detail

    - #### initTypeToInfoMapping

          void initTypeToInfoMapping(ServiceRecord serviceRecord)
                              throws Exception

      Initialize the mapping between DNS record type and record information for the given service record.
      Parameters:
        `serviceRecord` - the registry service record.
      Throws:
        `Exception` - if encountering an error.

    - #### getRecordTypes

          int[] getRecordTypes()

      Return the DNS record types valid for this processor.
      Returns:
        the array of DNS record types.

    - #### manageDNSRecords

          void manageDNSRecords(org.apache.hadoop.registry.server.dns.RegistryDNS.RegistryCommand command)
                         throws IOException

      Manage the creation and registration of DNS records generated by parsing a service record.
      Parameters:
        `command` - the DNS registration command object (e.g. add_record, remove record)
      Throws:
        `IOException` - if the creation or registration generates an issue.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.